PTHREAD_EQUAL(3)

NAME
pthread_equal - compare thread IDs

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_equal(pthread_t t1, pthread_t t2);

DESCRIPTION
The pthread_equal() function compares the thread IDs t1 and t2.

RETURN VALUES
The pthread_equal() function will return non-zero if the thread IDs t1 and t2 correspond to the same thread, otherwise it will return zero.

ERRORS
None.

SEE ALSO
pthread_create(3), pthread_exit(3)

STANDARDS
The function conforms to p1003.1-2001.